-- German (de) - Translations provided by Tonyleila with help from Xianlung, FViper, MerlinGer, Rakke, Rial, Zuhligan
local Srendarr = _G['Srendarr'] -- grab addon table from global
 
local L = {}

L.Srendarr  = "|c67b1e9S|c4779ce'rendarr|r"
L.Usage     = "|c67b1e9S|c4779ce'rendarr|r - Usage: /srendarr lock or unlock to toggle UI movement."

-- timer strings
L.Time_Seconds          = '%ds'
L.Time_Minutes          = '%dm'
L.Time_Hours            = '%dh'
L.Time_Toggle           = 'T'
L.Time_Passive          = 'P'
L.Time_Cast             = 'Cast'

-- drag overlay labels
L.DragLabel_BuffShort   = 'KURZ'
L.DragLabel_BuffLong    = 'LANG'
L.DragLabel_BuffAll     = 'BUFF'
L.DragLabel_Debuff      = 'DEBUFF'
L.DragLabel_Target      = 'ZIEL'

-- ---------------------------------------------------
-- PASSIVE COMPARE -----------------------------------
-- ---------------------------------------------------

L.Passive_Mundus                    = 'Segen:'
L.Passive_HomeKeepBonus             = 'gesicherte Heimat'
L.Passive_EnemyKeepBonus            = 'Eroberungseuphorie'
L.Passive_ScrollBonus               = 'Schriften'

-- ---------------------------------------------------
-- POTION TYPES --------------------------------------
-- ---------------------------------------------------

L.Potion_Sip                        = "Schlückchen"
L.Potion_Tincture                   = "Tinctur"
L.Potion_Serum                      = "Serum"
L.Potion_Dram                       = "Schluck"
L.Potion_Effusion                   = "Erguss"
L.Potion_Potion                     = "Trank"
L.Potion_Draught                    = "Mundvoll"
L.Potion_Solution                   = "Lösung"
L.Potion_Philter                    = "Zaubertrank"
L.Potion_Elixir                     = "Elixier"
L.Potion_Panacea                    = "Panazee"     -- v5
L.Potion_Distillate                 = "Destillat"   -- v10
L.Potion_Essence                    = "Essenz"      -- v15


-- ---------------------------------------------------
-- SETTINGS ------------------------------------------
-- ---------------------------------------------------

-- dropdown menus
L.DropGrowth1           = 'Hoch'
L.DropGrowth2           = 'Runter'
L.DropGrowth3           = 'Links'
L.DropGrowth4           = 'Links (Zentriert)'
L.DropGrowth5           = 'Rechts'
L.DropGrowth6           = 'Rechts (Zentriert)'
L.DropSort1             = 'Verbleibende Zeit'
L.DropSort2             = 'Talent Name'
L.DropTimer1            = 'Über Icon'
L.DropTimer2            = 'Unter Icon'
L.DropTimer3            = 'Oberhalb Icon'
L.DropTimer4            = 'Versteckt'

-- tabs
L.TabButton1            = 'Allgemein'
L.TabButton2            = 'Kurze Buffs'
L.TabButton3            = 'Lange Buffs'
L.TabButton4            = 'Debuffs'
L.TabButton5            = 'Ziel Buffs'
L.TabButton6            = 'Ziel Debuffs'
L.TabButton7            = 'Profile'
L.TabHeader1            = 'Allgemeine Einstellungen'
L.TabHeader2            = 'Kurze & kombinierte Buff Fenster Einstellungen'
L.TabHeader3            = 'Lange Buff Fenster Einstellungen'
L.TabHeader4            = 'Debuff Fenster Einstellungen'
L.TabHeader5            = 'Ziel Buff Fenster Einstellungen'
L.TabHeader6            = 'Ziel Debuff Fenster Einstellungen'
L.TabHeader7            = 'Profile Einstellungen'



-- example aura names
L.ExampleAura1 = 'Buff'
L.ExampleAura2 = 'Noch ein Buff'
L.ExampleAura3 = 'Und noch ein Buff'
L.ExampleAura4 = 'Debuff'
L.ExampleAura5 = 'Noch ein Debuff'
L.ExampleAura6 = 'Und noch ein Debuff'
L.ExampleAura7 = 'Zeitliche Aura (Lang)'
L.ExampleAura8 = 'Umschaltbare Aura'
L.ExampleAura9 = 'Passive Aura'

-- settings: general tab (1)
L.GeneralAnchorDesc = 'Entsperren, um die Anker der Buffleisten mit der Maus bewegbar zu machen. Der Reset Button setzt alle Anker wieder an die ursprüngliche Position zurück.'
L.GeneralAnchorLock = 'Sperren'
L.GeneralAnchorUnlock = 'Entsperren'
L.GeneralAnchorReset = 'Zurücksetzen'
L.GeneralOnlyCombat = 'Nur im Kampf zeigen'
L.GeneralOnlyCombatTip = 'Legt fest ob alle Buff Anzeigen nur im Kampf sichtbar sind.'
L.GeneralCombine = 'Buffs Kombinieren'
L.GeneralCombineTip = 'Legt fest, ob kurze und lange Buffs in der selben Leiste angezeigt werden sollen oder in 2 Leisten aufgeteilt werden.\n\nBei der geteilten Einstellung werden Buffs mit einer Dauer von über einer Minute in einem Fenster zusammen mit den Passiven Buffs angezeigt.'
L.GeneralThreshold = 'Schwellwert für kurze Buffs'
L.GeneralThresholdTip = 'Das Spiel selbst meldet alle Buffs länger als 30 Sekunden als Langzeit Buffs. Hier kannst du diesen Schwellwert anpassen.'
L.GeneralTarget = 'Zeige Ziel Buffs'
L.GeneralTargetTip = 'Legt fest ob Buffs auf dem aktuellen Ziel angezeigt werden.\n\n Lange Buffs, Umschaltbare and Passive jeweil in einem seperatem Fenster.'
L.GeneralTargetDebuff = 'Zeigt Ziel Debuffs'
L.GeneralTargetDebuffTip = 'Legt fest ob Debuffs des aktuellen Ziels angezeigt werden oder nicht'
L.GeneralDebuff = 'Zeige Debuffs'
L.GeneralDebuffTip = 'Legt fest ob ein- und ausgehende Debuffs in einem seperatem Fenster angezeigt werden. Achtung: durch die geringen informationen die Addons auslesen können, können die Zeitangaben der eingehenden Debuffs ungenau sein.'
L.GeneralDebuffWarn = 'Kann durch API Beschränkungen ungenau sein.'
L.GeneralHeaderFiltersPlayer = 'Aura Filter: Spieler'
L.GeneralHeaderFiltersTarget  = 'Aura Filter: Ziel'
L.GeneralSoulSummons = 'Zeige Seelenbeschwörung abklingzeigt'
L.GeneralSoulSummonsTip = 'Legt fest ob der Buff des passiven Talents Seelenbeschwörung angezeigt werden soll oder nicht.'
L.GeneralToggle = 'Zeige Umschaltbare Buffs'
L.GeneralToggleTip = 'Legt fest ob umschaltbare Buffs angezeigt werden sollen oder nicht.\n\nz.B.: Instabiler Begleiter oder Magierlicht'
L.GeneralPassive = 'Zeige Passive Buffs'
L.GeneralPassiveTip = 'Legt fest ob passive Buffs angezeigt werden oder nicht.\n\nz.B. Mundus Segen'
L.GeneralCyrodiil = 'Zeige Cyrodiil Boni'
L.GeneralCyrodiilTip = 'Legt fest ob die Buffs die man wärend der Schlacht in Cyrodiil bekommt, angezeigt werden.\n\nBenötigt: Zeige Passive Buffs'
L.GeneralDisguise = 'Zeige Verkleidungen'
L.GeneralDisguiseTip = 'Legt fest ob angelegte Verkleidungen angezeigt werden.\n\nBenötigt: Zeige Passive Buffs'
L.GeneralMundus = 'Zeige Mundus Segen'
L.GeneralMundusTip = 'Legt fest ob Mundus Steine angezeigt werden.\n\nBenötigt: Zeige Passive Buffs'
L.GeneralVampLycan = 'Zeige Vampir / Werwolf'
L.GeneralVampLycanTip = 'Legt fest ob Vampirismus and Lykanthropie Buffs angezeigt werden.\n\nBenötigt: Zeige Passive Buffs'
L.GeneralMinorBuffs = 'Verstecke kleinere Buffs'
L.GeneralMinorBuffsTip = 'Legt fest ob kleinere Buffs angezeigt werden.\n\nz.B. "kleinere Zauberei"'
L.GeneralMajorBuffs = 'Verstecke größere Buffs'
L.GeneralMajorBuffsTip = 'Legt fest ob kleinere Buffs angezeigt werden.\n\nz.B. "größere Zauberei"'

-- ---------------------------------------------------
-- Some TRANSLATION FROM HERE ON ARE MISSING ----------
-- ---------------------------------------------------

-- settings: style tabs (2-5) - base

L.WindowAlpha = 'Fenster Transparenz'
L.WindowAlphaTip = 'Set how opaque this aura window is when visible. A setting of 100 makes the window fully opaque.'
L.WindowScale = 'Fenster Größe'
L.WindowScaleTip = 'Set the size of this aura window as a percentage. A setting of 100 is the default size.'
L.WindowGrowth = 'Aura Erweiterungs Richtung'
L.WindowGrowthTip = 'Set which direction new auras will grow from the anchor point. For the Centered settings, auras will grow either side of the anchor with ordering determined by the Left/Right prefix.\n\nNote that when displayed horizontally, the name and bar are hidden automatically.'
L.WindowPadding = 'Aura Erweiterungs Abstand'
L.WindowPaddingTip = 'Leget den Abstand zwischen jeder angezeigten Aura fest.'
L.WindowSort = 'Aura Reihenfolge'
L.WindowSortTip = 'Set how auras are sorted. Either by alphabetical name or by remaining duration. When sorting by duration, passive and toggled abilities will always show first followed by timed abilities with those that will fade first furthest away from the anchor.'
L.WindowIconOn = 'Zeige Fähigkeitsicon rechts'
L.WindowIconOnTip = 'Set whether the aura\'s icon is shown on the right or the left of the name label and statusbar timer when displaying vertically.'
L.WindowShowNameBar = 'Zeige Fähigkeitsname & Zeitleiste'
L.WindowShowNameBarTip = 'Set whether the ability name and the statusbar timer should be shown when auras are set to grow vertically.'
L.WindowTooltips = 'Zeige Fähigkeitsname im Tooltip'
L.WindowTooltipsTip = 'Set whether to show the ability name in a mouseover tooltip (over the icon) for each aura.'

-- settings: style tabs (2-5) - name
L.WindowNameHeader = 'Fähigkeitsnamen Text'
L.WindowNameFont = 'Names Stil'

-- settings: style tabs (2-5) - timer
L.WindowTimerHeader = 'Zeitanzeige Text'
L.WindowTimerShowTP = 'Zeige Zeit für Umschaltbare & Passive'
L.WindowTimerShowTPTip = 'Set whether the timer label is shown for (T)oggled and (P)passive abilities. When disabled, the timer label will be hidden for auras without a duration.'
L.WindowTimerHorz = 'Zeitanzeige Position: Horizontal'
L.WindowTimerHorzTip = 'Set the timer\'s position for each aura when displaying horizontally. A setting of Hidden will stop the timer label showing for any auras.'
L.WindowTimerVert = 'Zeitanzeige Position: Vertikal'
L.WindowTimerVertTip = 'Set the timer\'s position for each aura when displaying vertically. A setting of Hidden will stop the timer label showing for any auras.'
L.WindowTimerFont = 'Zeitanzeige Stil'

-- settings: style tabs (2-5) - bar
L.WindowBarHeader = 'Zeitanzeigen Leiste'
L.WindowBarGloss = 'Glänzende Leisten'
L.WindowBarGlossTip = 'Set whether the timer bar\'s should be glossy when displayed.'
L.WindowBarWidth = 'Leisten Breite'
L.WindowBarWidthTip = 'Set how wide the timer bar\'s should be when displayed.'
L.WindowBarTimed = 'Farbe: Zeitliche Auren'
L.WindowBarTimedTip = 'Set the timer bar colours for auras with a set duration. The left colour choice determines the start of the bar (when it begins counting down) and the second the finish of the bar (when it has almost expired).\n\nThis is the colour that will also be used for auras with a cast time before they apply.'
L.WindowBarToggle = 'Farbe: Umschaltbare Auren'
L.WindowBarToggleTip = 'Set the timer bar colours for toggled auras with no set duration. The left colour choice determines the start of the bar (the furthest side from the icon) and the second the finish of the bar (nearest the icon).'
L.WindowBarPassive = 'Farbe: Passive Auren'
L.WindowBarPassiveTip = 'Set the timer bar colours for passive auras with no set duration. The left colour choice determines the start of the bar (the furthest side from the icon) and the second the finish of the bar (nearest the icon).'

-- settings: profiles tab (7)
L.ProfileCharacterList = 'Vorhande Einstellungen'
L.ProfileCharacterListTip = 'Liste von Charactern die aktuell S\'rendarr Einstellungen besitzen.'
L.ProfileCopyFrom = 'Einstellungen Kopieren'
L.ProfileCopyFromTip = 'Kopiert die Einstellungen des ausgewählten Characters auf die des aktuell eingeloggten Characters.'
L.ProfileCopyFromWarn = 'Das klicken auf den Button wird das Interface neu laden und alle Srendarr Einstellungen des Character mit den \'s Einstellungen mit denen des ausgewählten Characters überschreiben\n\nKann nicht rückgängig gemacht werden!'

if (GetCVar('language.2') == 'de') then -- overwrite GetLocale for new language
    for k, v in pairs(Srendarr:GetLocale()) do
        if (not L[k]) then -- no translation for this string, use default
            L[k] = v
        end
    end
 
    function Srendarr:GetLocale() -- set new locale return
        return L
    end
end