-- French (fr) - Translations provided by Lumber (http://www.esoui.com/forums/member.php?u=4670) and Yombee (http://www.esoui.com/forums/member.php?u=10180)
local Srendarr = _G['Srendarr'] -- grab addon table from global

local L = {}

L.Srendarr  = "|c67b1e9S|c4779ce'rendarr|r"
L.Usage     = "|c67b1e9S|c4779ce'rendarr|r - Usage: /srendarr lock or unlock to toggle UI movement."
-- timer strings
L.Time_Seconds          = '%ds'
L.Time_Minutes          = '%dm'
L.Time_Hours            = '%dh'
L.Time_Toggle           = 'T'
L.Time_Passive          = 'P'
L.Time_Cast             = 'Cast'
-- drag overlay labels
L.DragLabel_BuffShort   = 'COURT'
L.DragLabel_BuffLong    = 'LONG'
L.DragLabel_BuffAll     = 'BUFF'
L.DragLabel_Debuff      = 'DEBUFF'
L.DragLabel_Target      = 'CIBLE'

-- ---------------------------------------------------
-- PASSIVE COMPARE -----------------------------------
-- ---------------------------------------------------

L.Passive_Mundus                    = 'Bénédiction :'
L.Passive_HomeKeepBonus             = 'Bonus des fort'
L.Passive_EnemyKeepBonus            = 'Bonus de forts'
L.Passive_ScrollBonus               = 'Bonus de Parchemin'

-- ---------------------------------------------------
-- POTION TYPES --------------------------------------
-- ---------------------------------------------------

L.Potion_Sip                        = 'Gorgée'
L.Potion_Tincture                   = 'Teinture'
L.Potion_Serum                      = 'Sérum'
L.Potion_Dram                       = 'Goutte'
L.Potion_Effusion                   = 'Effusion'
L.Potion_Potion                     = 'Potion'
L.Potion_Draught                    = 'Lampée'
L.Potion_Solution                   = 'Solution'
L.Potion_Philter                    = 'Philtre'
L.Potion_Elixir                     = 'Élixir'
L.Potion_Panacea                    = 'Panacée'

-- ---------------------------------------------------
-- SETTINGS ------------------------------------------
-- ---------------------------------------------------

-- dropdown menus
L.DropGrowth1           = 'Haut'
L.DropGrowth2           = 'Bas'
L.DropGrowth3           = 'Gauche'
L.DropGrowth4           = 'Gauche (Centré)'
L.DropGrowth5           = 'Droite'
L.DropGrowth6           = 'Droite (Centré)'
L.DropSort1             = 'Temps Restant'
L.DropSort2             = 'Alphabétique'
L.DropTimer1            = "Sur l'icône"
L.DropTimer2            = "Sous l'icône"
L.DropTimer3            = "Au dessus de l'icône"
L.DropTimer4            = 'Caché'
-- tabs
L.TabButton1            = 'Général'
L.TabButton2            = 'Buffs Courts'
L.TabButton3            = 'Buffs Longs'
L.TabButton4            = 'Debuffs'
L.TabButton5            = 'Buffs de la cible'
L.TabButton6            = 'Profils'
L.TabHeader1            = 'Réglages Généraux'
L.TabHeader2            = 'Fenêtre de réglage des buffs courts et combinés'
L.TabHeader3            = 'Fenêtre de réglage des buffs longs'
L.TabHeader4            = 'Fenêtre de réglage des Debuffs'
L.TabHeader5            = 'Fenêtre de réglage des buffs de la cible'
L.TabHeader6            = 'Réglage du profil'
-- example aura names
L.ExampleAura1 = 'Buff'
L.ExampleAura2 = 'Autre Buff'
L.ExampleAura3 = 'Encore un Autre Buff'
L.ExampleAura4 = 'Debuff'
L.ExampleAura5 = 'Autre Debuff'
L.ExampleAura6 = 'Encore un Autre Debuff'
L.ExampleAura7 = 'Aura Chronométrée(Longue)'
L.ExampleAura8 = 'Aura Activée'
L.ExampleAura9 = 'Aura Passive'
-- settings: general tab (1)
L.GeneralAnchorDesc = 'Déverrouiller pour pouvoir bouger les ancres avec la souris. Le bouton réinitialiser replacera toutes les ancres à leur position initiales'
L.GeneralAnchorLock = 'Verrouiller'
L.GeneralAnchorUnlock = 'Déverrouiller'
L.GeneralAnchorReset = 'Reinitialiser'
L.GeneralOnlyCombat = 'Afficher uniquement en combat'
L.GeneralOnlyCombatTip = "Définit si les fenêtres d'auras ne s'affichent que lorsque le combat est engagé."
L.GeneralCombine = 'Combiner les buffs'
L.GeneralCombineTip = 'Définit si les buffs courts et longs doivent être combinés dans une seule fenêtre ou séparés dans deux fenêtres distinctes.\n\nSi vous choisissez la séparation, les buffs (Longs) qui iront dans la deuxième fenêtre seront les buffs passifs, activés et les buffs avec une durée inférieure à une minute.'
L.GeneralThreshold = 'Seuil de durée des Buffs courts'
L.GeneralThresholdTip = 'Le jeu considère de lui même tous les buffs avec une durée supérieur à 30 secondes comme des buffs longs. Vous pouvez changer cette durée ici.'
L.GeneralTarget = 'Afficher les auras de la cible'
L.GeneralTargetTip = 'Permet d\'afficher les buffs longs, activés et passifs de votre cible actuelle dans une fenêtre séparée.'
L.GeneralDebuff = 'Afficher les Debuffs'
L.GeneralDebuffTip = 'Permet d\'afficher vos debuffs dans une fenêtre séparée. Notez que d\'après les infos disponibles pour les mods, ces timers peuvent être inexact et ne prendront pas en compte les cibles mortes ou ayant purgé le debuff. Il doit être utilisé comme guide uniquement.'
L.GeneralDebuffWarn = "Peut ne pas être exact à cause des limitations de l'API."
L.GeneralHeaderFiltersPlayer = 'Filtre d\'Aura : Joueur'
L.GeneralHeaderFiltersTarget  = 'Filtre d\'Aura : Cible'
L.GeneralSoulSummons = 'Afficher le temps de recharge d\'Invocation d\'âme'
L.GeneralSoulSummonsTip = "Définit si le temps de recharge pour Invocation d'âme est affiché ou pas"
L.GeneralToggle = 'Afficher les buffs activables'
L.GeneralToggleTip = 'Définit si les buffs activables sans limitation de durée sont affichés ou pas.\n\nEx: Familier instable'
L.GeneralPassive = 'Afficher les buffs passifs'
L.GeneralPassiveTip = 'Définit si les buffs passifs sont affichés ou pas.\n\nEx: Bénédictions de Mundus'
L.GeneralCyrodiil = 'Afficher les bonus de Cyrodiil'
L.GeneralCyrodiilTip = 'Définit si les buffs obtenus durant la guerre en Cyrodiil sont affichés.\n\nNécessite: Afficher les buffs passifs'
L.GeneralDisguise = 'Afficher les déguisements'
L.GeneralDisguiseTip = 'Définit si les déguisements actifs sont affichés ou non.\n\nNécessite : Afficher les buffs passifs'
L.GeneralMundus = 'Afficher les bénédictions de Mundus'
L.GeneralMundusTip = 'Définit si les bénédictions de Mundus sont affichées.\n\nNécessite : Afficher les buffs passifs'
L.GeneralVampLycan = 'Afficher Vampire / Loup-Garou'
L.GeneralVampLycanTip = 'Définit si les buffs de vampirisme et de lycanthropie sont affichés.\n\nNécessite : Afficher les buffs passifs'
L.GeneralMinorBuffs = 'Hide Minor Buffs'
L.GeneralMinorBuffsTip = 'Set wether to hide Minor Buffs.\n\ne.g. "Minor Sorcery"'
L.GeneralMajorBuffs = 'Hide Major Buffs'
L.GeneralMajorBuffsTip = 'Set wether to hide Major Buffs.\n\ne.g. "Major Sorcery"'
-- settings: style tabs (2-4) - base
L.WindowAlpha = 'Transparence de la fenêtre'
L.WindowAlphaTip = 'Définit l\'opacité de cette fenêtre lorsqu\'elle est visible. Un réglage à 100 rend la fenêtre totalement opaque.'
L.WindowScale = 'Echelle de la fenêtre'
L.WindowScaleTip = 'Définit la taille de cette fenbêtre d\'aura en pourcentage. Un réglage à 100 correspond au réglage par défaut.'
L.WindowGrowth = 'Direction du déployement des auras'
L.WindowGrowthTip = 'Définit la direction dans laquelle les nouvelles auras se développeront depuis le point d\'ancrage. Pour le réglage centré, les auras iront de part et d\'autre de l\'ancre de façon définie par le préfixe gauche/droite.\n\nNotez que lorsque affichés horizontalement le nom et la barre sont cachés automatiquement.'
L.WindowPadding = 'Espacement des auras'
L.WindowPaddingTip = 'Définit l\'espacement entre chaque aura affichée.'
L.WindowSort = 'Ordre d\'affichage des auras'
L.WindowSortTip = 'Définit la façon dont les auras sont affichées. Soit par ordre alphabétique, soit par durées restantes. Lorsque affichées par durée, les compétences passives et activables sont toujours affichées en premier, suivies par les compétences chronométrées avec celles durant le moins longtemps étant les plus éloignées de l\'ancre.'
L.WindowIconOn = 'Afficher les icônes de compétences sur la droite'
L.WindowIconOnTip = 'Définit si l\'icône d\'aura est affiché sur la droite ou sur la gauche du nom de la compétence et de la barre de durée lorsque affiché verticalement.'
L.WindowShowNameBar = 'Afficher le nom de la compétence et la barre de durée'
L.WindowShowNameBarTip = 'Définit si le nom de la compétence et la barre de durée doivent être affichées lorsque les auras se développent verticalement.'
L.WindowTooltips = 'Afficher le nom de la compétence dans les infobulles'
L.WindowTooltipsTip = "Définit si le nom des auras est affiché dans une info-bulle au survol de la souris (au dessus de l'icone).\n\nNote : Cette option doit être désactivée pour pouvoir déplacer les ancres"
-- settings: style tabs (2-4) - name
L.WindowNameHeader = 'Texte du nom de la compétence'
L.WindowNameFont = 'Style du nom'
-- settings: style tabs (2-4) - timer
L.WindowTimerHeader = 'Texte du Timer'
L.WindowTimerShowTP = 'Afficher pour Passif et Activé'
L.WindowTimerShowTPTip = 'Définit si le texte est affiché pour les auras passives (P) et activés (T). Lorsque cette option est désactivée, le texte sera caché pour les auras sans durée fixe.'
L.WindowTimerHorz = 'Position du Timer : Horizontale'
L.WindowTimerHorzTip = 'Définit la position du timer pour chaque aura affichée horizontalement. Un réglage sur -Caché- empechera l\'affichage de l\'étiquette pour toutes les auras.'
L.WindowTimerVert = 'Position du Timer : Vertical'
L.WindowTimerVertTip = 'Définit la position du timer pour chaque aura affichée verticalement. Un réglage sur -Caché- empechera l\'affichage de l\'étiquette pour toutes les auras.'
L.WindowTimerFont = 'Style de Timer'
-- settings: style tabs (2-4) - bar
L.WindowBarHeader = 'Barre de Timer'
L.WindowBarGloss = 'Barres brillantes'
L.WindowBarGlossTip = 'Définit si les barres de durée doivent être affichées avec un effet brillant.'
L.WindowBarWidth = 'Longueur de Barre'
L.WindowBarWidthTip = 'Définit la longueur que doit avoir la barre de timer lorsqu\'elle est affichée.'
L.WindowBarTimed = 'Couleur: Auras Chronométrées'
L.WindowBarTimedTip = 'Définit les couleurs des barres de timer pour les auras d\'une durée spécifique. Le choix de la couleur de gauche détermine le début de la barre (lorsque le décompte commence) et la seconde la fin de la barre (lorsqu\'il est presque terminée).\n\nCette couleur sera également utilisée pour les auras avec un temps de cast avant qu\'elles ne soient appliquées.'
L.WindowBarToggle = 'Couleur: Auras Activées'
L.WindowBarToggleTip = 'Définit les couleurs des barres de timer pour les auras activées sans durée spécifique. La couleur gauche correspond au début de la barre et la seconde la fin de la barre (la plus proche de l\'icône).'
L.WindowBarPassive = 'Couleur: Auras Passives'
L.WindowBarPassiveTip = 'Définit les couleurs des barres de timer pour les auras passives sans durée spécifiques. La couleur gauche correspond au début de la barre et la seconde la fin de la barre (la plus proche de l\'icône).'
-- settings: profiles tab (6)
L.ProfileCharacterList = 'Réglages existants'
L.ProfileCharacterListTip = 'Liste des personnages utilisant S\'rendarr.'
L.ProfileCopyFrom = 'Copier les réglages'
L.ProfileCopyFromTip = 'Permet de copier les réglages du personnage séléctionné vers le personnage actuellement connecté en jeu.'
L.ProfileCopyFromWarn = 'Cliquer sur ce bouton rechargera l\'interface, en remplaçant les réglages par ceux du personnage séléctionné.\n\nVous ne pourrez pas revenir sur cette action, les nouveaux réglages écraseront les réglages actuels.'

if (GetCVar('language.2') == 'fr') then -- overwrite GetLocale for new language
    for k, v in pairs(Srendarr:GetLocale()) do
        if (not L[k]) then -- no translation for this string, use default
            L[k] = v
        end
    end

    function Srendarr:GetLocale() -- set new locale return
        return L
    end
end